# include <TestData/TestPositionSuite.h>
# include <cstdlib>
using namespace Alice;
int main(int argc, char* argv[])
{
  argc--;
  argv++;
  int depth = 5;
  int seconds;
  bool timeLimit = false;
  while (argc > 2)
    {
      if (argv[0][0] != '-')
	break;
      if (argv[0][1] == 't')
	{
	  timeLimit = true;
	  seconds = std::atoi(argv[1]);
	  argv += 2;
	  argc -= 2;
	}
      else
	{
	  timeLimit = false;
	  depth = std::atoi(argv[1]);
	  argv+=2;
	  argc -= 2;
	}
    }
  TestPositionSuite suite(argv[0]);
  if (timeLimit)
    suite.runTime(seconds);
  else
    suite.run(depth);
  return 0;
};
